unit Dates;


interface
uses SysUtils;

function Seconds(Time: TDateTime): integer;
function MilliSeconds(Time: TDateTime): integer;
function Minutes(Time: TDateTime): integer;
function Hours(Time: TDateTime): integer;
function DayDiff(Beginning: TDateTime; Ending:TDateTime): integer;
function HourDiff(Beginning: TDateTime; Ending:TDateTime): integer;
function MinuteDiff(Beginning: TDateTime; Ending:TDateTime): integer;
function SecondDiff(Beginning: TDateTime; Ending:TDateTime): integer;
function MilliSecondDiff(Beginning: TDateTime; Ending: TDateTime): integer;

implementation
function Seconds(Time: TDateTime): integer;
var
  H, M, S, MS: word;
begin
  DecodeTime(Time, H, M, S, MS);
  result := H * 3600 + M * 60 + S;
end;


function MilliSeconds(Time: TDateTime): integer;
var
  H, M, S, MS: word;
begin
  DecodeTime(Time, H, M, S, MS);
  result := H * 3600000 + M * 60000 + S * 1000 + MS;
end;


function Minutes(Time: TDateTime): integer;
var
  H, M, S, MS: word;
begin
  DecodeTime(Time, H, M, S, MS);
  result := H * 60 + M;
end;


function Hours(Time: TDateTime): integer;
var
  H, M, S, MS: word;
begin
  DecodeTime(Time, H, M, S, MS);
  result := H;
end;

function DayDiff(Beginning: TDateTime; Ending:TDateTime): integer;
begin
    Result := Trunc(Ending) - Trunc(Beginning);
end;

function HourDiff(Beginning: TDateTime; Ending:TDateTime): integer;
begin
    Result := Hours(Ending - Beginning);
end;

function MinuteDiff(Beginning: TDateTime; Ending:TDateTime): integer;
begin
    Result := Minutes(Ending - Beginning);
end;

function SecondDiff(Beginning: TDateTime; Ending:TDateTime): integer;
begin
    Result := Seconds(Ending - Beginning);
end;

function MilliSecondDiff(Beginning: TDateTime; Ending: TDateTime): integer;
begin
    Result := MilliSeconds(Ending - Beginning);
end;
end.
